The forum

Accéleration 3D

Ca ne marche pas !

Author Replies
ismael54 Friday 14 March 2008 at 18:27
ismael54Anonymous

Bonjour ! J'ai Ubuntu 7.10, je n'arrive pas activer l'acceleration 3D, on me le signal au démarage de PoL, donc qoand je joue à Diablo II LoD, ca lag !
Les effets du bureau Compiz Fusion ne marchent plus non plus, je suppose que c'est lié à ca.
J'ai une ATI Radeon 9800 Pro.
goku Friday 14 March 2008 at 19:00
goku

Bonjour ismael54;

Ton problème n'est pas "du" au fait que compiz ne fonctionne pas chez toi. Mais ils ont la même cause.

C'est probablement lié au fait que les ATI ne fonctionne que médiocrement sous linux. Tu peux peut-être trouver le moyen d'améliorer un peu. tu peux chercher dans WineBooster mais n'aies pas trop d'espoir...

Edited by goku


Windows de Microsoft.

Mac de Apple.

Linux du monde entier.
Apocalypse555 Friday 14 March 2008 at 19:23
Apocalypse555

Slt ismael54,

As-tu configuré tes drivers avec le gestionnaire d'ubuntu, avec envy, avec les dépots ou autrement ?

Si oui reposte ici sinon regarde les tutoriaux sur le forum d'ubuntu ...

Edited by Apocalypse555


ismael54 Sunday 16 March 2008 at 7:37
ismael54Anonymous

Ha, ma ATI est peut-être mauvaise mais il y a un mois, quand j'ai installé Compiz et Diablo 2, l'accélération marchait, et Diablo 2 aussi ! Après, je ne sais pas compiz n'a plus marché ( j'avais déja désinstallé Diablo 2) Bizzard non ?
Sinon, je ne pense avoir touché à ma config mais, j'ai forcément du bouger quelquechose.
Quand je fais
glxinfo | grep "direct rendering"
Il me répond
No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
Sur les forums Ubuntu, je n'ai trouvé que des réponses très peu précises. Je suis pas trèès fort en console, ca prend 3 an pour fair quoi que ce soit
Sur Ubuntu, il me disent de faire
lspci | grep "VGA"
J'ai
01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01)
Est-ce bon signe ? Enfin le tableau ne dit rien pour ma carte sous Ubuntu 7.10...
Apocalypses, je ne comprend pas tout sur la configurations de mes drivers, tu peut m'éxpliquer, c'est ma seule piste pour l'instant

EDIT *10 mn plus tard* : Je ne sais pas ce que j'ai foutu, je crois que c'est Wine booster mais maintenant Diablo II ne se lance même plus, il me dit
Diablo II Critical Error
Error 25: A critical error has occured while initializing Direct3D.
Comment faire pour sipprimer Direct3D, j'ai peut être touché a DirectX maintenant que j'y pense... Merci de votre patience et de votre pérsévérance !

Edited by ismael54

Apocalypse555 Sunday 16 March 2008 at 9:16
Apocalypse555

Alors je suis pas un pro en ATI (je suis même plutôt NVidia) ... mais je pense que c'est plutôt bon signe !

Je pensais que mon lien étais assez claire ...

Alors la commande :

lspci | grep "VGA"
te convois le chipset de ta carte graphique (c'est la puce constructeur) et avec ce chipset tu regarde le tableau plus bas ...

Alors ok ta version n'a pas d'information ! Ce n'est pas très grave celà peut-être juste que la page n'a pas été remis à jour par un modérateur ! Néanmoins tu remarque que précédemment ta carte été supporté sous Feisty avec les drivers libre (en cliquant sur le liens) et encore avant sous Edgy avec les drivers du dépot ... Tu as donc beaucoup de chance que ton driver passe soit avec les dépots de ATI soit avec les drivers libres !

Tu peux donc essayer les 2 : personnellement je te conseil le dépot comme ça t'as les mise à jour ... Pour ce faire il sufit d'aller dans Système-->Administration-->Gestionnaire de pilotes propriétaires pour activer ceux du dépot ! Sinon tu peux récupérer un en particulier sur le site de AMD/ATI pour l'installer manuellement (il faut être un peu plus expérimenter pour celà) ! Si tu prend cette dernière option regarde sur le site d'ubuntu pour chercher de l'aide ! La troisième alternative avec les drivers propriétaire est d'utiliser ENVY, un logiciel prévus pour installer et mettre à jour les drivers ATI et NVidia (les libres et non-libres) ! Chez certains c'est le Saint Graal, chez d'autre c'est la catastrophe ... c'est un coup de poker pour savoir si ça passera ou pas !

Si tu choisit les drivers libres tu as 2 solutions : soit ENVY (expliquer ci-dessus) soit les récupéré manuellement (je sais pas où faut chercher) puis les installer (pareil faut connaître un minimum) ...

Si tu débute je te conseil le dépot ou ENVY c'est les plus simples ( et ils sont efficaces )



PS : A FAIRE EN PRIORITÉ :

Sauvegarde du fichier de configuration du serveur X

Avant de passer à la procédure d'installation, je vous conseille de faire une sauvegarde de votre fichier xorg.conf (qui est le fichier de configuration du serveur X) :

sudo cp /etc/X11/xorg.conf /etc/X11/xorg.backup

Ainsi, en cas de problèmes, il suffit de restaurer l'ancien fichier, ceci vous évitera peut-être bien des maux de tête :

sudo cp /etc/X11/xorg.backup /etc/X11/xorg.conf

Quote from Ubuntu.fr.org

Edited by Apocalypse555


ismael54 Sunday 16 March 2008 at 9:40
ismael54Anonymous

Merci !
Alors, Envy, j'ai ésseyé mais pour installer les .deb... Je ne sais pas comment faire.
Sinon Système-->Administration-->Gestionnaire de pilotes propriétaires, j'obtient un fenetre sans titre qui me dit : Votre matériel ne nécessite aucun pilote propriétaire.
Donc reste à aller installer le depot manuellement ? Comment ? Ou sinon, comment installer les .deb ?
Désolé, je débute en linux...
Aymeric P. Sunday 16 March 2008 at 10:38
Aymeric P.
Admin

Salut,
Ta carte graphique est une ATI 9200 (PRO)
01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01)
Et malheureusement cette carte graphique n'est plus supporter par ATI, les derniers pilotes date d'un an et demi (au moins).
Tu n'a comme seule solution d'utiliser les pilotes libres.
Je te renvoie a la doc du site d'Ubuntu : http://doc.ubuntu-fr.org/radeon

Former member.
ismael54 Sunday 16 March 2008 at 12:37
ismael54Anonymous

OK Merci mais il n'y a aucun pilote libre sur ce le doc, ce serait possible d'avoir un tuto ?
Apocalypse555 Sunday 16 March 2008 at 14:05
Apocalypse555

A si MulX a raison tu n'as pas de chance toi ...
Alors si t'es obliger d'utiliser les drivers libres ça va pas être drôle si tu commence ...

Je peux juste te dire que d'après ce que j'ai lut ils sont inclus dans la plupart des distributions donc rien besoin de télécharger ensuite faut lire le liens de MulX qui va t'aider à faire la configuration nécessaire ... C'est en commande mais t'inquiète pas c'est pas si dur c'est juste différent au début

Bonne chance moi je connais pas ce genre d'installation ...



Alors où est la sortie . . ... ... ....... ... ... ... ... .... à là : j'ai trouver XD

ismael54 Tuesday 18 March 2008 at 19:40
ismael54Anonymous

UP !
MulX, quelqu'un, à l'aide !! Je nage, je rame, je trépasse !!
Panzer Tuesday 18 March 2008 at 19:54
Panzer

Suis simplement le lien qu'il t'a donné :
http://doc.ubuntu-fr.org/radeon

Si t'as des problèmes pour remplir le fichier xorg.conf, n'hésite pas à demander.


Bientot surpuissant ;) http://abe7.labrute.fr
Mon blog (déjà surpuissant) : Le BaB
ismael54 Thursday 27 March 2008 at 19:54
ismael54Anonymous

Ca y est CA MARCHE !!! J'ai réinstallé Ubuntu Gutsy et c'est bon. Je suppose qu'il dévait y avoir un conflit entre 2 packages... Par contre je n'arrive plus installer PoL !!
Ca me fait :

sudo wget http://playonlinux.botux.net/playonlinux.list -O /etc/apt/sources.list.d/playonlinux.listismael@IC-Kids:~$ sudo wget http://playonlinux.botux.net/playc/apt/sources.list.d/playonlinux.list

Erreur d'analyse syntaxique du URL proxy http://:8080/: Nom de l'hôte invalide

Mais bon, c'est une auter histoire =D ! Merci pour tout !